package com.goafanti.ambSystem.bo;

import com.goafanti.common.constant.ErrorConstants;
import com.goafanti.common.model.AmbSystem;
import com.goafanti.common.utils.Param;

import javax.validation.constraints.NotNull;
import java.util.Date;

public class InputAmb extends AmbSystem {
    /**
     * 部门id
     */

    private Long id;

    /**
     * 父部门id
     */
    @Param(name="上级部门")
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private Long parentId;

    /**
     * 祖级列表
     */
    private String ancestors;

    /**
     * 部门名称
     */
    @Param(name="吧名称")
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String name;

    /**
     * 显示顺序
     */
    private Integer orderNum;

    /**
     * 负责人
     */
    @Param(name="巴负责人")
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String leader;

    /**
     * 部门状态（0正常 1停用）
     */
    private String status;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 层级 0=集团,1=管综经开总,2=大区总,3=区总,4=事业部总,5=战区总,6=巴总
     */
    private Integer lvl;

    /**
     * 财务id
     */
    @Param(name="财务负责人")
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String financeId;


    /**
     * 会计id
     */
    @Param(name="会计负责人")
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    private String accountant;

    /**
     * 祖级名称
     */
    private String ancestorsNames;

    private Integer pageNo;
    private Integer pageSize;


    @Override
    public String getAccountant() {
        return accountant;
    }

    @Override
    public void setAccountant(String accountant) {
        this.accountant = accountant;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getLeader() {
        return leader;
    }

    public void setLeader(String leader) {
        this.leader = leader;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getLvl() {
        return lvl;
    }

    public void setLvl(Integer lvl) {
        this.lvl = lvl;
    }

    public String getFinanceId() {
        return financeId;
    }

    public void setFinanceId(String financeId) {
        this.financeId = financeId;
    }

    public String getAncestorsNames() {
        return ancestorsNames;
    }

    public void setAncestorsNames(String ancestorsNames) {
        this.ancestorsNames = ancestorsNames;
    }
}
